{
    attributes = (
        {
            columnName = "DOM_ID"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "dom_ordre"; }; 
            name = domId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TYAP_ID"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "TYPC_ID"; }; 
            name = tyapId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "tyap_libelle"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "TYAC_ID"; }; 
            name = tyapLibelle; 
            valueClassName = NSString; 
            valueType = s; 
            width = 50; 
        }, 
        {
            columnName = "tyap_strid"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "TYAC_ID"; }; 
            name = tyapStrid; 
            valueClassName = NSString; 
            valueType = s; 
            width = 20; 
        }
    ); 
    attributesUsedForLocking = (tyapId); 
    className = "org.cocktail.fwkcktldroitsutils.common.metier.EOTypeApplication"; 
    classProperties = (toDomaine, toFonctions, tyapLibelle, tyapStrid); 
    externalName = "JEFY_ADMIN.TYPE_application"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (toDomaine, toFonctions, tyapLibelle, tyapStrid); 
        "_javaClientClassName" = "org.cocktail.fwkcktldroitsutils.common.metier.EOTypeApplication"; 
        "_nameInObjectStore" = "TYPE_CLIENT"; 
    }; 
    isReadOnly = Y; 
    name = "FwkDroitsUtils_TypeApplication"; 
    primaryKeyAttributes = (tyapId); 
    relationships = (
        {
            destination = "FwkDroitsUtils_Domaine"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = domId; sourceAttribute = domId; }); 
            name = toDomaine; 
        }, 
        {
            destination = "FwkDroitsUtils_Fonction"; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = tyapId; sourceAttribute = tyapId; }); 
            name = toFonctions; 
            numberOfToManyFaultsToBatchFetch = 10; 
        }
    ); 
}
